MODSTAT(8)

NAME
modstat - display status of loaded kernel modules

SYNOPSIS
modstat [-n] [name]

DESCRIPTION
The modstat utility displays the status of any kernel modules present in the kernel.

The options are as follows:

-n name
    Display the status of only the module with this name. Please note that -n is optional.

In addition to listing the currently loaded modules' name, the information reported by modstat includes:

CLASS
    Module class, such as "vfs", "driver", "exec", "misc" or "secmodel".

SOURCE
    Where the module was loaded from. "builtin" indicates that the module was built into the running kernel. "boot" indicates that the module was loaded during system bootstrap. "filesys" indicates that the module was loaded from the file system.

SIZE
    Size of the module in bytes.

REFS
    Number of references held on the module. Disabled builtin modules will show a count of -1 here.

REQUIRES
    Additional modules that must be present.

EXIT STATUS
The modstat utility exits with a status of 0 on success and with a nonzero status if an error occurs.

SEE ALSO
module(7), modload(8), modunload(8)

HISTORY
The modstat command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3.